Jan 19, 2009

Error: /usr/bin/ld: cannot find -lncurses

If you receive this error message, here's a possible solution:

apt-get install libncurses5-dev

OR in Synaptics Manager install libncurses5-dev

.

14 comments:

  1. thankyou for putting this...i found it very useful when installing xen on debian lenny...thanx again

    ReplyDelete
  2. Hi, thank you for the kind comments. I'm glad it helped!

    ReplyDelete
  3. thank you for this solution it helped me alot

    ReplyDelete
  4. same here :), thx!

    ReplyDelete
  5. sheesh, thanks...

    ReplyDelete
  6. Thanks a lot... it helped me a lot...

    ReplyDelete
  7. Thanks. Helped me too

    ReplyDelete
  8. i receive same error and tried as u said but not getting solved above problem and getting message as follows:

    E: could not open lock file /var/lib/dpkg/lock - open(l3: permission denied)
    E: unable to lock the administration directory (/var/lib/dpkg/), are you root?

    so what is solution for this plz let me know if possible???

    ReplyDelete
  9. Yes, you must have sudo or admin rights...add

    sudo

    to the command above. Cheers!

    ReplyDelete
  10. Thanks ... The information is still relevant...
    It is precise and works perfect...

    ReplyDelete
  11. Thanks! Very helpful!

    ReplyDelete
  12. A hero, spot on to solve the problem!
    This deserves the google search top page

    ReplyDelete
  13. Thanks a lot, it helped me to install Readline

    ReplyDelete